﻿<?xml version="1.0" encoding="utf-8"?>
<root>
  <!-- 
    Microsoft ResX Schema 
    
    Version 2.0
    
    The primary goals of this format is to allow a simple XML format 
    that is mostly human readable. The generation and parsing of the 
    various data types are done through the TypeConverter classes 
    associated with the data types.
    
    Example:
    
    ... ado.net/XML headers & schema ...
    <resheader name="resmimetype">text/microsoft-resx</resheader>
    <resheader name="version">2.0</resheader>
    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
        <value>[base64 mime encoded serialized .NET Framework object]</value>
    </data>
    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
        <comment>This is a comment</comment>
    </data>
                
    There are any number of "resheader" rows that contain simple 
    name/value pairs.
    
    Each data row contains a name, and value. The row also contains a 
    type or mimetype. Type corresponds to a .NET class that support 
    text/value conversion through the TypeConverter architecture. 
    Classes that don't support this are serialized and stored with the 
    mimetype set.
    
    The mimetype is used for serialized objects, and tells the 
    ResXResourceReader how to depersist the object. This is currently not 
    extensible. For a given mimetype the value must be set accordingly:
    
    Note - application/x-microsoft.net.object.binary.base64 is the format 
    that the ResXResourceWriter will generate, however the reader can 
    read any of the formats listed below.
    
    mimetype: application/x-microsoft.net.object.binary.base64
    value   : The object must be serialized with 
            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
            : and then encoded with base64 encoding.
    
    mimetype: application/x-microsoft.net.object.soap.base64
    value   : The object must be serialized with 
            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
            : and then encoded with base64 encoding.

    mimetype: application/x-microsoft.net.object.bytearray.base64
    value   : The object must be serialized into a byte array 
            : using a System.ComponentModel.TypeConverter
            : and then encoded with base64 encoding.
    -->
  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
    <xsd:element name="root" msdata:IsDataSet="true">
      <xsd:complexType>
        <xsd:choice maxOccurs="unbounded">
          <xsd:element name="metadata">
            <xsd:complexType>
              <xsd:sequence>
                <xsd:element name="value" type="xsd:string" minOccurs="0" />
              </xsd:sequence>
              <xsd:attribute name="name" use="required" type="xsd:string" />
              <xsd:attribute name="type" type="xsd:string" />
              <xsd:attribute name="mimetype" type="xsd:string" />
              <xsd:attribute ref="xml:space" />
            </xsd:complexType>
          </xsd:element>
          <xsd:element name="assembly">
            <xsd:complexType>
              <xsd:attribute name="alias" type="xsd:string" />
              <xsd:attribute name="name" type="xsd:string" />
            </xsd:complexType>
          </xsd:element>
          <xsd:element name="data">
            <xsd:complexType>
              <xsd:sequence>
                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
              </xsd:sequence>
              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
              <xsd:attribute ref="xml:space" />
            </xsd:complexType>
          </xsd:element>
          <xsd:element name="resheader">
            <xsd:complexType>
              <xsd:sequence>
                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
              </xsd:sequence>
              <xsd:attribute name="name" type="xsd:string" use="required" />
            </xsd:complexType>
          </xsd:element>
        </xsd:choice>
      </xsd:complexType>
    </xsd:element>
  </xsd:schema>
  <resheader name="resmimetype">
    <value>text/microsoft-resx</value>
  </resheader>
  <resheader name="version">
    <value>2.0</value>
  </resheader>
  <resheader name="reader">
    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
  </resheader>
  <resheader name="writer">
    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
  </resheader>
  <data name="ExceptionUnsupportedStructureReferenceFormat1" xml:space="preserve">
    <value>Reference to an unsupported structure: {0}</value>
    <comment>1 parameter, the structure reference</comment>
  </data>
  <data name="ExceptionNotComponentType" xml:space="preserve">
    <value>Only Component structure types are supported.</value>
  </data>
  <data name="ExceptionUnsupportedAttachmentLevel_" xml:space="preserve">
    <value>Unsupported attachment level.</value>
  </data>
  <data name="ExceptionCannotDetermineParent" xml:space="preserve">
    <value>Cannot determine parent</value>
    <comment>Message to show when </comment>
  </data>
  <data name="ErrorNotSupported" xml:space="preserve">
    <value>Not supported.</value>
  </data>
  <data name="ExceptionNotIdentifiable" xml:space="preserve">
    <value>Not identifiable structure type provided.</value>
  </data>
  <data name="ExceptionInvalidPrimaryKey" xml:space="preserve">
    <value>Invalid PRIMARY KEY value provided.</value>
  </data>
  <data name="ErrorFailureCannotBeInsertFormat3" xml:space="preserve">
    <value>Not {0}: {1}, {2}</value>
  </data>
  <data name="ErrorHclUsesCodelistNotFinalFormat4" xml:space="preserve">
    <value>HierarchicalCodeList {0} uses the CodeList:
 ID: {1}
 VERSION:{2}
 AGENCY: {3}
 which is not Final</value>
  </data>
  <data name="ErrorHclUsesCodelistNotExistFormat4" xml:space="preserve">
    <value>HierarchicalCodeList {0} uses the CodeList:
 ID: {1}
 VERSION:{2}
 AGENCY: {3}
 which doesn't exist in the Mapping Store</value>
  </data>
  <data name="ErrorNotFinalFormat1" xml:space="preserve">
    <value>{0} which is not Final</value>
  </data>
  <data name="ErrorDoesnotExistFormat1" xml:space="preserve">
    <value>{0} which doesn't exist in the Mapping Store</value>
  </data>
  <data name="ErrorDataflowUsesDSDThatFormat4" xml:space="preserve">
    <value>Dataflow {0} uses the DSD:
 ID: {1}
 VERSION:{2}
 AGENCY: {3}
</value>
  </data>
  <data name="SuccessInsertFormat2" xml:space="preserve">
    <value>Success: {0} was inserted.{1}</value>
  </data>
  <data name="SuccessCategorisationFormat3" xml:space="preserve">
    <value>Successfully categorized {0} with Category {1} of {2}
</value>
  </data>
  <data name="WarningDuplicateCategorisationFormat2" xml:space="preserve">
    <value>Warning: Ignoring duplicate categorisation of {0} with {1}
</value>
  </data>
  <data name="ErrorCategorisationDoesntExistFormat2" xml:space="preserve">
    <value>Failure: {0} does not exist so it cannot be referenced from {1}
</value>
  </data>
  <data name="ErrorCategorisationCannotCategoriseDoesntExistFormat1" xml:space="preserve">
    <value>Failure: Cannot categorize {0}, because it does not exist
</value>
  </data>
  <data name="SubmitStructureMessage" xml:space="preserve">
    <value>{0} {1}: {2}. {3}: {4}</value>
  </data>
</root>